NumPy, SciPy, & Python 3X Installation/compatibility issues

SK shagunkhare at gmail.com
Tue Sep 23 19:54:21 CEST 2014


Hi EK,
Did you figure out questions 1, 2 and 3? SciPy (0.14.0) on installation asks me for Python 2.7. First day on Python here, I am really struggling :/
Thanks,
SK

On Saturday, May 10, 2014 7:07:33 PM UTC+2, esa... at gmail.com wrote:
> Hi All--
> 
> 
> 
> Let me state at the start that I am new to Python. I am moving away from Fortran and Matlab to Python and I use all different types of numerical and statistical recipes in my work. I have been reading about NumPy and SciPy and could not find any definitive answers to my questions, below.  I had run into many mostly installation problems that I could never get NumPy or SciPy to work with Python 3.3 or newer.  I am using Windows7 64 bit OS. 
> 
> A few questions:
> 
> 1.	What are the latest versions of NumPy and SciPy that are compatible with Python 3.3 or newer and Windows7 64 bit? 
> 
> 2.	What is the best source to download and install them on my computer?
> 
> 3.	Are they all installable on my OS w/o any major problems/addition?
> 
> 4.	In the long run, would it be better to use UNIX instead of Windows, if I were to use Python for all of my research?
> 
> Thanks in advance. EK




More information about the Python-list mailing list